org.springframework.data.jdbc.core.convert

## Class DefaultJdbcTypeFactory

- java.lang.Object
- - org.springframework.data.jdbc.core.convert.DefaultJdbcTypeFactory

All Implemented Interfaces:
  JdbcTypeFactory

    public class DefaultJdbcTypeFactory
    extends Object
    implements JdbcTypeFactory

A `JdbcTypeFactory` that performs the conversion by utilizing `JdbcOperations.execute(ConnectionCallback)`.

Since:
  1.1
Author:
  Jens Schauder

### Constructor Summary

Constructors
Constructor and Description
`DefaultJdbcTypeFactory(JdbcOperations operations)` Creates a new `DefaultJdbcTypeFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Array` `createArray(Object[] value)` Converts the provided value in a `Array` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.jdbc.core.convert.JdbcTypeFactory

`unsupported`

### Constructor Detail

#### DefaultJdbcTypeFactory

    public DefaultJdbcTypeFactory(JdbcOperations operations)

Creates a new `DefaultJdbcTypeFactory`.

Parameters:
  `operations` - must not be null.

### Method Detail

#### createArray

    public Array createArray(Object[] value)

Description copied from interface: `JdbcTypeFactory`
Converts the provided value in a `Array` instance.

Specified by:
  `createArray` in interface `JdbcTypeFactory`
Parameters:
  `value` - the value to be converted. Must not be null.
Returns:
  an `Array`. Guaranteed to be not null.